Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class QueryProfile

    java.lang.Object
      |
      +--com.compoze.collab.QueryProfile

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class QueryProfile
extends java.lang.Object
implements java.io.Serializable, com.compoze.collab.util.IDigestSupport

Combines a `Restriction`, `FetchProfile`, `Sort` and depth to restrict what items and properties are retrieved and how the items are sorted.

See Also:
  Serialized Form

Constructor Summary
`QueryProfile()` Constructs a `QueryProfile` that returns minimum properties on all items in the container in no particular order.
`QueryProfile(int iDepth)` Constructs a `QueryProfile` that can search below the current container.
`QueryProfile(Key[] keys)` Constructs a `QueryProfile` to only return certain properties in addition to the minimum properties.
`QueryProfile(Key[] keys, Sort sort)` Constructs a `QueryProfile` to only return certain properties in addition to the minimum properties, including a specified `sort`.
`QueryProfile(Restriction restriction)` Constructs a `QueryProfile` that restricts the items returned.
`QueryProfile(Restriction restriction, FetchProfile fetch, Sort sort, int iDepth)` Constructs a `QueryProfile` that restricts the items and properties returned, will search to a specified depth and sorts the items.
`QueryProfile(Restriction restriction, Key[] keys)` Constructs a `QueryProfile` that restricts the items returned.
`QueryProfile(Restriction restriction, Key[] keys, Sort sort, int iDepth)` Constructs a `QueryProfile` that restricts the items and properties returned, will search to a specified depth and sorts the items.
`QueryProfile(Restriction restriction, Sort sort)` Constructs a `QueryProfile` that restricts the items returned, returning items with the specified `sort`.
`QueryProfile(Sort sort)` Constructs a `QueryProfile` that sorts according to the specified `sort`.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getDepth()` Gets the query depth.
`FetchProfile` | `getFetchProfile()` Gets the `FetchProfile`, which specifies which keys are to be retrieved.
`int` | `getLength()` Gets the desired end index.
`Restriction` | `getRestriction()` Gets the restriction.
`Sort` | `getSort()` Gets the sort.
`int` | `getStartIndex()` Gets the start index.
`int` | `hashCode()`
`void` | `setDepth(int iDepth)` Sets the query depth.
`void` | `setLength(int iLength)` Sets the desired length of items to be returned.
`void` | `setStartIndex(int iStart)` Sets the desired start index of the matching subset (zero based).
`java.lang.String` | `toString()`
`void` | `updateDigest(java.security.MessageDigest digest)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryProfile

    public QueryProfile()

  Constructs a `QueryProfile` that returns minimum properties on all items in the container in no particular order.

### QueryProfile

    public QueryProfile(Key[] keys)

  Constructs a `QueryProfile` to only return certain properties in addition to the minimum properties.
  Parameters:
    `keys` - an array of keys to return (may be `null`)

### QueryProfile

    public QueryProfile(Sort sort)

  Constructs a `QueryProfile` that sorts according to the specified `sort`.
  Parameters:
    `sort` - the sort order (`null` means do not sort)

### QueryProfile

    public QueryProfile(Key[] keys,
                        Sort sort)

  Constructs a `QueryProfile` to only return certain properties in addition to the minimum properties, including a specified `sort`.
  Parameters:
    `keys` - an array of keys to return (may be `null`)
    `sort` - the sort order (`null` means do not sort)

### QueryProfile

    public QueryProfile(Restriction restriction,
                        Key[] keys)

  Constructs a `QueryProfile` that restricts the items returned.
  Parameters:
    `restriction` - selects which items to return (`null` means no restriction)
    `keys` - an array of keys to return (may be `null`)

### QueryProfile

    public QueryProfile(Restriction restriction,
                        Sort sort)

  Constructs a `QueryProfile` that restricts the items returned, returning items with the specified `sort`.
  Parameters:
    `restriction` - selects which items to return (`null` means no restriction)
    `sort` - the sort order (`null` means do not sort)

### QueryProfile

    public QueryProfile(Restriction restriction)

  Constructs a `QueryProfile` that restricts the items returned. Uses `FetchProfile.MINIMUM`.
  Parameters:
    `restriction` - selects which items to return (`null` means no restriction)

### QueryProfile

    public QueryProfile(int iDepth)

  Constructs a `QueryProfile` that can search below the current container.
  Parameters:
    `iDepth` - Search depth: `-1` means infinite, `0` means current container only, `1` includes the first child container, etc.

### QueryProfile

    public QueryProfile(Restriction restriction,
                        Key[] keys,
                        Sort sort,
                        int iDepth)

  Constructs a `QueryProfile` that restricts the items and properties returned, will search to a specified depth and sorts the items. `restriction`, `keys`, and `sort` can be `null` if not needed.
  Parameters:
    `restriction` - restrict the items returned (`null` means no restriction)
    `keys` - keys for properties to return (may be `null` to indicate only minimum keys)
    `sort` - item sort order (`null` means no sort)
    `iDepth` - Search depth: `-1` means infinite, `0` means current container only, `1` includes the first child container, etc.

### QueryProfile

    public QueryProfile(Restriction restriction,
                        FetchProfile fetch,
                        Sort sort,
                        int iDepth)

  Constructs a `QueryProfile` that restricts the items and properties returned, will search to a specified depth and sorts the items. `restriction`, `keys`, and `sort` can be `null` if not needed.
  Parameters:
    `restriction` - restrict the items returned (`null` means no restriction)
    `fetch` - the `FetchProfile` that specifies what keys to retrieve.
    `sort` - item sort order (`null` means no sort order)
    `iDepth` - Search depth: `-1` means infinite, `0` means current container only, `1` includes the first child container, etc.

Method Detail

### getFetchProfile

    public FetchProfile getFetchProfile()

  Gets the `FetchProfile`, which specifies which keys are to be retrieved.
  Returns:
    the `FetchProfile` (not `null`)

### getRestriction

    public Restriction getRestriction()

  Gets the restriction.
  Returns:
    the `Restriction`

### getSort

    public Sort getSort()

  Gets the sort.
  Returns:
    the `Sort`; `null` if not set

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### setDepth

    public void setDepth(int iDepth)

  Sets the query depth.
  Parameters:
    `iDepth` - the depth:
    `-1`: infinite depth
    `0`: immediate container contents only
    `1`: add child containers' contents
    `2`: add grandchild containers' contents
    etc.

### getDepth

    public int getDepth()

  Gets the query depth.
  See Also:
    `setDepth(int)`

### setStartIndex

    public void setStartIndex(int iStart)

  Sets the desired start index of the matching subset (zero based).
  Parameters:
    `iStart` - the start index of the matching subset (zero based, use -1 for the absolute start)

### getStartIndex

    public int getStartIndex()

  Gets the start index.
  See Also:
    `setStartIndex(int)`

### setLength

    public void setLength(int iLength)

  Sets the desired length of items to be returned. Note that this value may change when doing page based operations.
  Parameters:
    `iLength` - the count of items from the start index (not zero, -1 for the absolute end)
  See Also:
    `IContainer.getItems(QueryProfile,int,int)`

### getLength

    public int getLength()

  Gets the desired end index.
  Returns:
    the count of items to return; -1 for the absolute end
  See Also:
    `setLength(int)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

  Specified by:
    `updateDigest` in interface `com.compoze.collab.util.IDigestSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.